<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from makematrix_wilkinsonp.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="makematrix_wilkinsonp" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>makematrix_wilkinsonp</refname><refpurpose>Returns the Wilkinson + matrix</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   A = makematrix_wilkinsonp ( n )

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>n :</term>
      <listitem><para> a 1-by-1 matrix of doubles, integer value, the size of the matrix to return</para></listitem></varlistentry>
   <varlistentry><term>A :</term>
      <listitem><para> a n-by-n matrix of doubles, integer values</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
"The W+matrix (Wilkinson 1965, p 308) is normally given odd order.
This tridiagonal matrix then has several pairs of close eigenvalues
despite the fact that no superdiagonal element is
small. Wilkinson points out that the separation between the two largest eigenvalues
is of the order of (n!)-2 so that the power method will be unable to
separate them unless n is very small."
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
A = makematrix_wilkinsonp ( 5 )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2011 - Michael Baudin</member>
   <member>Copyright (C) 2011 - DIGITEO - Michael Baudin</member>
   <member>Copyright (C) 2008-2009 - INRIA - Michael Baudin</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>J.C. Nash, Compact Numerical Methods for Computers: Linear Algebra and Function Minimisation, second edition, Adam Hilger, Bristol, 1990 (Appendix 1).</para>
   <para>J.H. Wilkinson, The Algebraic Eigenvalue Problem, p. 308, "Close eigenvalues and small beta", W5+</para>
</refsection>
</refentry>
